package EFS::DBI::Result::DivisionAttrs;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{division_attrs} );

__PACKAGE__->add_columns( qw( division name value ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{division_attrs_seq} );

__PACKAGE__->belongs_to( division => q{EFS::DBI::Result::Division} );

sub display_columns {
    return qw(business division name value);
}

sub display_headers {
    return qw(Business Division Attribute Value);
}

sub business {
    return shift->division->business;
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
