package EFS::DBI::Result::GroupRights;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw/+EFS::DBI::Prefix Core/ );

__PACKAGE__->table( q{grouprights} );

__PACKAGE__->add_columns( qw( metaproj role groupname ) );
__PACKAGE__->add_columns(
    id => { __PACKAGE__->get_id_column_attrs },
);
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{grouprights_seq} );

__PACKAGE__->belongs_to( metaproj => q{EFS::DBI::Result::Metaproj} );

sub object_id {
    my $self = shift;
    my $sep = shift || q{/};
    return join( $sep,
                 $self->metaproj->name,
                 $self->role,
                 $self->groupname );
}

sub display_headers {
    return qw( Metaproj Role Groupname );
}

sub display_columns {
    return qw( metaproj role groupname );
}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
