package EFS::DBI::Result::PTSEntry;

use strict;
use warnings;
use English;

use base q{EFS::DBI::Result};

__PACKAGE__->load_components( qw( +EFS::DBI::Prefix Core ) );

__PACKAGE__->table( q{pts_entry} );

__PACKAGE__->add_columns( qw( name ptsid owner flags ) );
__PACKAGE__->add_columns( id => { __PACKAGE__->get_id_column_attrs } );
__PACKAGE__->set_primary_key( q{id} );
__PACKAGE__->sequence( q{pts_entry_seq} );

__PACKAGE__->has_many( members => q{EFS::DBI::Result::PTSMembership}, q{group} );
__PACKAGE__->has_many( groups  => q{EFS::DBI::Result::PTSMembership}, q{member} );

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
