package EFS::DBI::ResultSet::GroupRights;

use strict;
use warnings;
use English;

use base q{EFS::DBI::ResultSet};

use Params::Validate qw( :all );

sub retrieve_bynames_assert {

    my $self = shift;

    my (%args) = validate( @_, {
        metaproj  => { type => SCALAR },
        role      => { type => SCALAR },
        groupname => { type => SCALAR },
    });

    my $metaproj_rs = EFS::DBI->get_resultset( q{Metaproj} );

    my $metaproj = $metaproj_rs->retrieve_bynames_assert(
        name => $args{metaproj},
    );

    my ($grouprights) = $self->search({
        metaproj  => $metaproj->id,
        role      => $args{role},
        groupname => $args{groupname},
    });

    if ( not $grouprights ) {
        die(
            qq{No such grouprights object for metaproj '$metaproj',\n},
            qq{role '$args{role}', groupname '$args{groupname}'\n},
        );
    }

    return $grouprights;

}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
