package EFS::DBI::ResultSet::InstallCellState;

use strict;
use warnings;
use English;

use base q{EFS::DBI::ResultSet};

use Params::Validate qw( :all );

sub update_or_insert {

    my $self = shift;

    my (%args) = validate( @_, {
        install    => { isa  => q{EFS::DBI::Result::Install} },
        cell       => { isa  => q{EFS::DBI::Result::Cell} },
        updatetime => { type => SCALAR },
    });

    my ($cellstate) = $self->search({
        install => $args{install}->id,
        cell    => $args{cell}->id,
    });

    if ( $cellstate ) {
        $cellstate->set_column( updatetime => $args{updatetime} );
        $cellstate->update;
    } else {
        $cellstate = $self->create({
            install    => $args{install}->id,
            cell       => $args{cell}->id,
            updatetime => $args{updatetime},
        });
    }

    return $cellstate;

}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
