package EFS::Diststate::Any;

use strict;
use warnings;
use English;

use Moose;
use Params::Validate qw( :all );

extends q{EFS::Diststate};
use EFS::Diststate::Metaproj;

has metaproj_diststate => (
    is => 'rw',

);



sub BUILD {

    my ($self) = @_;

    my $schema = EFS::DBI->get_schema;

    my @metaprojs = $schema->resultset( q{Metaproj} )->all;

    foreach my $metaproj (@metaprojs) {
        $self->metaproj_diststate->{ $metaproj->name } =
            EFS::Diststate::Metaproj->new({ metaproj => $metaproj });
    }

    return;

}

sub subitem_diststates {
    my $self = shift;
    return values %{ $self->metaproj_diststate };
}

# To fulfill our contract from EFS::Diststate
sub _related_item { return q{EFS} }
sub name          { return q{EFS} }
sub _subitem_type { return q{metaproj} }

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
