#!/usr/bin/env perl
use strict;
use warnings;
use English;

use IO::File;
use Test::More tests => 2;

use blib;
use EFS;

use lib q{test/lib};
use EFS::Test;
use EFS::Test::Config;

my $config        = EFS::Test::Config->new;
my $ldc_efsserver = $config->get_value( q{LocalDevCell}, q{efsserver} );
my $rdc_efsserver = $config->get_value( q{RemoteDevCell}, q{efsserver} );

ok(
    EFS::CLI::SSLServer->initca( type => q{primary}, force => 1 ),
    q{Initialized primary SSLServer}
);

ok(
    EFS::CLI::EFSServer->initssl(),
    q{Initialized SSL on EFSServers}
);

exit 0;

