#!/usr/bin/env perl

use strict;
use warnings;
use English;

use Config;

use lib q{test/lib};
use EFS::Test::Config;

use Test::More tests => 2;

my $config = EFS::Test::Config->new;

my $rdc_efsserver = $config->get_value( q{RemoteDevCell}, q{efsserver} );
my $sshcmd        = $config->get_value( q{Global}, q{sshcmd} );

my $localpid = qx{ cat /var/run/efsd.pid };
if ( $localpid ) {
    system("kill $localpid");
    ok( $CHILD_ERROR == 0, q{Killed LocalDevCell efsd instance} );
} else {
    ok( 0, q{Unable to determine PID of local efsd} );
}

my $remotepid = qx{ $sshcmd $rdc_efsserver cat /var/run/efsd.pid };
if ( $remotepid ) {
    system("$sshcmd $rdc_efsserver kill $remotepid");
    ok( $CHILD_ERROR == 0, q{Killed RemoteDevCell efsd instance} );
} else {
    ok ( 0, q{Unable to determine PID of remote efsd} );
}

1;
